Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: alicexbt <[email-masked]>
Date: Sun, 05 Jun 2022 04:18:04 +0000

Hi Jorge,

Misinformation is false or inaccurate information, especially that which is deliberately intended to deceive. A combination of 'misleading' and 'information'. Here are a few examples and I am sure I missed a lot of others but its difficult for me to keep a track of everything:

1) Sapio is open source and everything mentioned in tweet is false: https://web.archive.org/web/20220503050140/https://twitter.com/coinableS/status/1521354192434073602

2) Personal attacks on author of BIP 119 with false information: https://nitter.net/s3cp256k1/status/1521238634111770624

3) Andreas Antonopoulos shared false things about CTV and explained by Ryan in this email: https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-May/020414.html

4) Misleading things shared in these emails by Michael Folkson:

    https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-January/019728.html

    https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-April/020235.html

    https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-April/020286.html

    https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-April/020343.html

    https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-April/020386.html

5) Peter Todd and Zac shared misleading things about BIP 119, bitcoin and L2. I replied in this email: https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2022-April/020322.html

6) Social media influencers like Peter McCormack tweeted they don't understand BIP 119 but its an attack (this was even retweeted by developers like Peter Todd): https://nitter.net/PeterMcCormack/status/1521253840963653632

7) Some misconceptions about BIP 119 cleared by Bitcoin Magazine: https://bitcoinmagazine.com/technical/what-is-bip-119-bitcoin-controversy-explained

8) There were lies and misinformation about BIP 119 on social media according to this Bitcoin Magazine article: https://bitcoinmagazine.com/technical/analyzing-bip119-and-the-controversy-surrounding-it

9) John Carvalho tweeting false things:

    https://nitter.net/BitcoinErrorLog/status/1468599535538745359

    https://nitter.net/BitcoinErrorLog/status/1522652884218822658

    https://nitter.net/BitcoinErrorLog/status/1442554615967354880

    https://nitter.net/search?q=MIT%20(from%3ABitcoinErrorLog)

10) Greg Maxwell responding to misinformation related to BIP 119 but adding false things in the comments: https://www.reddit.com/r/Bitcoin/comments/uim560/bip_119/i7dhfpb/

I am not surprised by your email but it would be better if the people who are interested in reviewing BIP 119 could raise the bar and not share misleading information.

/dev/fd0

Sent with Proton Mail secure email.
------- Original Message -------
On Sunday, June 5th, 2022 at 12:12 AM, Jorge Timón <[email-masked]> wrote:

> "Some people say CTV is contentious, but they're spreading misinformation"? Really? Seriously?Come on, guys, we can do better than nina jankovich and the "fact checkers".
> Please, rise the bar.
> On Fri, Jun 3, 2022, 19:44 alicexbt via bitcoin-dev <[email-masked]> wrote:
>
> > Note: This email is an opinion and not an attack on bitcoin
> >
> > Covenants on bitcoin will eventually be implemented with a soft fork. CTV is the easiest and best possible way OP_TX looks good as well. Apart from the technical merits, covenants will improve a few other things:
> >
> > - Developers can build interesting projects with real demand in market.
> > - Students learn Sapio and not just solidity.
> > - Better tooling could be available for application developers.
> > - Maybe we see bitcoin developer hackathons in different countries.
> > - Demand for block space might increase, it wont be just exchanges and coinjoin.
> > - Funding of bitcoin developers and projects might improve. Wont need to convince a few people for grants.
> >
> > **Why covenants are not contentious?**
> >
> > Some people may write paragraphs about CTV being contentious, spread misinformation and do all types of drama, politics etc. on social media but there are zero technical NACKs for CTV. We have discussed other covenant proposals in detail on mailing list and IRC meetings with an open minded approach.
> >
> > All the developers that participated in the discussion are either okay with CTV or OP_TX or covenants in general.
> >
> > **How and when should covenants be implemented in Bitcoin?**
> >
> > I don't think we should wait for years anticipating a proposal that everyone will agree on or argue for years to pretend changes are hard in Bitcoin. We should improve the review process for soft fork BIPs and share honest opinions with agreement, disagreement on technical merits.
> >
> > I prefer BIP 8 or improved BIP 8 for soft fork but I won't mind anything else being used if that improves Bitcoin. Covenants implemented in Bitcoin before the next cycle would provide opportunity for developers to build interesting things during the bear market. Ossification supporters also believe there is some window that will close soon, maybe doing changes considering each case individually will be a better approach. CTV is not a rushed soft fork, less people followed the research and it was not mentioned on social media repeatedly by the respected developers like other soft forks.
> >
> > /dev/fd0
> >
> >
> > Sent with Proton Mail secure email.
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev